settings:
  - OpenMeteo:
      name: "Open Meteo"
      provider: "cz.senslog.connector.fetch.openmeteo.ConnectorFetchOpenMeteoProvider"

#      baseUrl: "https://previous-runs-api.open-meteo.com/v1/forecast"
      baseUrl: "https://archive-api.open-meteo.com/v1/archive"

      timeZone: "Europe/Prague"
      startDate: "2024-01-03"

      allowedStationURL: "https://sensor.lesprojekt.cz/senslogOTS3/rest/forecast/era5land/plan"
      allowedStationURLParams:
          models: era5_land
          hourly: [temperature_2m, relative_humidity_2m, dew_point_2m, precipitation, rain, snowfall, pressure_msl, surface_pressure,
                    et0_fao_evapotranspiration, cloud_cover,wind_speed_10m, wind_direction_10m, wind_gusts_10m, 
                    soil_temperature_0_to_7cm,soil_temperature_7_to_28cm,soil_temperature_28_to_100cm,soil_temperature_100_to_255cm,
                    soil_moisture_0_to_7cm,soil_moisture_7_to_28cm,soil_moisture_28_to_100cm,soil_moisture_100_to_255cm]

#      allowedStations:
#        - latitude: 49.72680307543005
#          longitude: 13.351931666613327
#          timezone: GMT
#          past_days: 1
#          hourly: [temperature_2m,temperature_2m_previous_day1,temperature_2m_previous_day2,temperature_2m_previous_day3,temperature_2m_previous_day4,temperature_2m_previous_day5,
#                   relative_humidity_2m,relative_humidity_2m_previous_day1,relative_humidity_2m_previous_day2,relative_humidity_2m_previous_day3,relative_humidity_2m_previous_day4,relative_humidity_2m_previous_day5,
#                   dew_point_2m,dew_point_2m_previous_day1,dew_point_2m_previous_day2,dew_point_2m_previous_day3,dew_point_2m_previous_day4,dew_point_2m_previous_day5,
#                   apparent_temperature,apparent_temperature_previous_day1,apparent_temperature_previous_day2,apparent_temperature_previous_day3,apparent_temperature_previous_day4,apparent_temperature_previous_day5,
#                   precipitation,precipitation_previous_day1,precipitation_previous_day2,precipitation_previous_day3,precipitation_previous_day4,precipitation_previous_day5,
#                   rain,rain_previous_day1,rain_previous_day2,rain_previous_day3,rain_previous_day4,rain_previous_day5,
#                   showers,showers_previous_day1,showers_previous_day2,showers_previous_day3,showers_previous_day4,showers_previous_day5,
#                   snowfall,snowfall_previous_day1,snowfall_previous_day2,snowfall_previous_day3,snowfall_previous_day4,snowfall_previous_day5,
#                   weather_code,weather_code_previous_day1,weather_code_previous_day2,weather_code_previous_day3,weather_code_previous_day4,weather_code_previous_day5,
#                   pressure_msl,pressure_msl_previous_day1,pressure_msl_previous_day2,pressure_msl_previous_day3,pressure_msl_previous_day4,pressure_msl_previous_day5,
#                   surface_pressure,surface_pressure_previous_day1,surface_pressure_previous_day2,surface_pressure_previous_day3,surface_pressure_previous_day4,surface_pressure_previous_day5,
#                   cloud_cover,cloud_cover_previous_day1,cloud_cover_previous_day2,cloud_cover_previous_day3,cloud_cover_previous_day4,cloud_cover_previous_day5,
#                   wind_speed_10m,wind_speed_10m_previous_day1,wind_speed_10m_previous_day2,wind_speed_10m_previous_day3,wind_speed_10m_previous_day4,wind_speed_10m_previous_day5,
#                   wind_direction_10m,wind_direction_10m_previous_day1,wind_direction_10m_previous_day2,wind_direction_10m_previous_day3,wind_direction_10m_previous_day4,wind_direction_10m_previous_day5]

  - Senslog:
      name: "Senslog Pass Trough"
      provider: "cz.senslog.connector.push.senslog.ConnectorPushSensLogProvider"

      baseUrl: "https://sensor.lesprojekt.cz/senslogOTS3/rest/forecast/era5land"

connectors:
  - OpenMeteoSenslog:
      fetcher: "OpenMeteo"
      pusher: "Senslog"
      period: 300          # 5 minutes
      startAt: "00:10:00" # hh:mm:ss  # non-mandatory attribute
#      initDelay: 10        # non-mandatory attribute
